Update Source/Client State
POST
/api/components/{id}/state
const url = 'https://example.com/api/components/example/state';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"state":"stop","reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/components/example/state \ --header 'Content-Type: application/json' \ --data '{ "state": "stop", "reason": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
state
required
string
reason
string
Responses
Section titled “Responses”Success